[rspec-users] Rspec Textmate bundle errors

Dave Myron lists at ruby-forum.com
Tue Feb 26 15:57:22 EST 2008


Mel Riffe wrote:
> This is what worked for me (just did this last night):
> 
> 1. I removed everything rspec to have a clean slate:
>   - gem uninstall rspec
>   - rm -fr vendor/plugins/rpec
>   - rm -fr vendor/plugins/rpec_on_rails
>   - using BundleEditor, removed RSpec Bundle
> 
> 2. I then installed the rspec plugins according to the website:
>   - script/plugin install svn://..../tags/CURRENT/rspec
>   - script/plugin install svn://..../tags/CURRENT/rspec_on_rails
>   - script/generate spec
>   - i then created a model rspec and ran 'rake spec'
> 
> 3. I then installed the RSpec Bundle with the following SVN URL:
>   - svn co .../tags/CURRENT/RSpec.tmbundle
>   - Reloaded the Bundles
>   - ran the same model spec from within TM.

Digging up an old thread here.

I've done the above (and am at r3317). But getting a strange error when 
I run the example with the TextMate bundle (from within a project 
directory in TM):

System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in 
`gem_original_require': no such file to load -- image_science 
(MissingSourceFile) from 
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in 
`require' from 
/myapp/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:496:in 
`require' from 
/myapp/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:342:in 
`new_constants_in' from 
/myapp/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:496:in 
`require' from /myapp/app/models/custom.rb:1 from 
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in 
`gem_original_require' from 
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in 
`require' from 
/myapp/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:496:in 
`require' ... 14 levels... from /Users/user/Library/Application 
Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:31:in 
`chdir' from /Users/user/Library/Application 
Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:31:in 
`run' from /Users/user/Library/Application 
Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:14:in 
`run_file' from /tmp/temp_textmate.eFFxZt:4

The line generating that error is a simple: require 'image_science'. 
Doing `gem which image_science` returns the correct value and running 
the spec from the command line works fine too.

Strange?
Dave
-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list